{
  "replace": false,
  "values": [
    "minecraft:plains",
    "minecraft:meadow",
    "minecraft:sunflower_plains",
    "minecraft:forest",
    "minecraft:birch_forest",
    "minecraft:swamp",
    "minecraft:taiga",
    "minecraft:old_growth_pine_taiga",
    "minecraft:river",
    "minecraft:beach",
    "minecraft:stony_shore",
    "minecraft:ocean",
    "minecraft:lukewarm_ocean",
    "minecraft:deep_ocean",
    "minecraft:deep_lukewarm_ocean",
    "minecraft:dripstone_caves",
    "minecraft:lush_caves",
    {
      "id": "biomesoplenty:coniferous_forest",
      "required": false
    },
    {
      "id": "biomesoplenty:fir_clearing",
      "required": false
    },
    {
      "id": "biomesoplenty:field",
      "required": false
    },
    {
      "id": "biomesoplenty:forested_field",
      "required": false
    },
    {
      "id": "biomesoplenty:seasonal_forest",
      "required": false
    },
    {
      "id": "biomesoplenty:seasonal_orchard",
      "required": false
    },
    {
      "id": "biomesoplenty:pumpkin_patch",
      "required": false
    },
    {
      "id": "biomesoplenty:grassland",
      "required": false
    },
    {
      "id": "biomesoplenty:highland",
      "required": false
    },
    {
      "id": "biomesoplenty:spider_nest",
      "required": false
    },
    {
      "id": "biomesoplenty:moor",
      "required": false
    },
    {
      "id": "biomesoplenty:origin_valley",
      "required": false
    },
    {
      "id": "biomesoplenty:shrubland",
      "required": false
    },
    {
      "id": "biomesoplenty:wetland",
      "required": false
    },
    {
      "id": "biomesoplenty:clover_patch",
      "required": false
    },
    {
      "id": "biomesoplenty:redwood_forest",
      "required": false
    },
    {
      "id": "biomesoplenty:rocky_shrubland",
      "required": false
    },
    {
      "id": "biomesoplenty:scrubland",
      "required": false
    },
    {
      "id": "biomesoplenty:woodland",
      "required": false
    },
    {
      "id": "biomesoplenty:old_growth_woodland",
      "required": false
    },
    {
      "id": "biomesoplenty:marsh",
      "required": false
    },
    {
      "id": "biomesoplenty:undergrowth",
      "required": false
    },
    "minecraft:cherry_grove",
    "minecraft:windswept_hills",
    "minecraft:windswept_forest"
  ]
}